Bug 684939 - (CVE-2011-1167) CVE-2011-1167 libtiff: heap-based buffer overflow in thunder decoder (ZDI-11-107)
CVE-2011-1167 libtiff: heap-based buffer overflow in thunder decoder (ZDI-11-...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
public=20110321,reported=20110314,sou...
: Security
Depends On: 688742 688743 688744 688745 688746 689574 689575 809173 836124
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-14 16:35 EDT by Vincent Danen
Modified: 2016-03-04 06:29 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-13 11:32:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-03-14 16:35:23 EDT
A flaw was reported in libtiff's thunder decoder.  The thunder decoder assumes 4bits per pixel, but if a file has bitpersample set to a smaller value, or defaulted (1) then the allocated strip buffer will be too small, and a heap-based buffer overlow may occur.  This could be used to crash an application linked to libtiff, or execute arbitrary code with the privileges of the application opening a malicious TIFF file.
Comment 4 Vincent Danen 2011-03-17 17:29:06 EDT
This is CVE-2011-1167.  Disclosure is set for March 21st.
Comment 13 Vincent Danen 2011-03-21 16:02:33 EDT
Created libtiff tracking bugs for this issue

Affects: fedora-all [bug 689574]
Comment 14 Vincent Danen 2011-03-21 16:02:35 EDT
Created mingw32-libtiff tracking bugs for this issue

Affects: fedora-all [bug 689575]
Comment 16 errata-xmlrpc 2011-03-28 14:24:52 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2011:0392 https://rhn.redhat.com/errata/RHSA-2011-0392.html

Note You need to log in before you can comment on or make changes to this bug.